--- a/control
+++ b/control
@@ -5,7 +5,7 @@ Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <james@nocrew.org>, Daniel Jacobowitz <dan@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.17.11),
+Build-Depends: autoconf (>= 2.64), dpkg-dev (>= XXX),
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath,
   python3:any, file, xz-utils, lsb-release, zlib1g-dev
 XS-Testsuite: autopkgtest
@@ -338,3 +338,29 @@ Description: GNU binary utilities, for sparc64-linux-gnu target
  .
  You don't need this package unless you plan to cross-compile programs
  for sparc64-linux-gnu.
+
+Package: binutils-x86-64-unknown-cloudabi
+Architecture: amd64 i386 x32 arm64
+Depends: binutils (= ${binary:Version}), ${shlibs:Depends}
+Suggests: binutils-doc (= ${source:Version})
+Provides: 
+Priority: extra
+Description: GNU binary utilities, for x86-64-unknown-cloudabi target
+ This package provides GNU assembler, linker and binary utilities
+ for x86-64-unknown-cloudabi target, for use in a cross-compilation environment.
+ .
+ You don't need this package unless you plan to cross-compile programs
+ for x86-64-unknown-cloudabi.
+
+Package: binutils-aarch64-unknown-cloudabi
+Architecture: amd64 i386 x32 arm64
+Depends: binutils (= ${binary:Version}), ${shlibs:Depends}
+Suggests: binutils-doc (= ${source:Version})
+Provides: 
+Priority: extra
+Description: GNU binary utilities, for aarch64-unknown-cloudabi target
+ This package provides GNU assembler, linker and binary utilities
+ for aarch64-unknown-cloudabi target, for use in a cross-compilation environment.
+ .
+ You don't need this package unless you plan to cross-compile programs
+ for aarch64-unknown-cloudabi.
--- a/rules
+++ b/rules
@@ -89,6 +89,7 @@ ifeq ($(src_name),binutils)
   CROSS_ARCHS	?= s390x ppc64el powerpc arm64 armhf armel mips mipsel
   CROSS_ARCHS	+= alpha hppa m68k mips64 mips64el powerpcspe ppc64 sh4 sparc64
   #CROSS_ARCHS	+= kfreebsd-amd64 kfreebsd-i386 hurd-i386
+  CROSS_ARCHS	+= cloudabi-amd64 cloudabi-arm64
 else
   # binutils-ports ...
   with_cross	= yes
@@ -122,6 +123,9 @@ HOST_ARCHS_kfreebsd-amd64 = amd64 i386 x32
 HOST_ARCHS_kfreebsd-i386 = amd64 i386 x32
 HOST_ARCHS_hurd-i386 = amd64 i386 x32
 
+HOST_ARCHS_cloudabi-amd64 = amd64 i386 x32 arm64
+HOST_ARCHS_cloudabi-arm64 = amd64 i386 x32 arm64
+
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
   #
 else ifeq ($(DEB_HOST_ARCH),arm64)
@@ -254,7 +258,7 @@ MULTI_VERSION = $(VERSION)-multiarch
 HPPA64_VERSION= $(VERSION)-hppa64
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy dapper hardy jaunty karmic lucid maverick natty oneiric precise quantal raring saucy trusty utopic))
-  DPKG_DEV = dpkg-dev (>= 1.17.11),
+  DPKG_DEV = dpkg-dev (>= XXX),
 endif
 
 NJOBS =
